# ExtensionData

Property in [Project](/api/csharp/yarn.compiler/yarn.compiler.project.md)

## Summary

Contains any data parsed from the source file that was not matched to a property on this type.

```csharp
public Dictionary<string, JsonElement>? ExtensionData { get; set; }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler/yarn.compiler.project/yarn.compiler.project.extensiondata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
